import { nanoid } from "nanoid";
import { ICompKeys } from "../../typings";

export class DesignComp {
  id = nanoid();
  compKey: ICompKeys = "Text";
  style = {
    margin: "12px",
  };
  value: any = undefined;
  props?: any;

  constructor(data?: Partial<DesignComp>) {
    if (!data) return;
    Object.assign(this, data);
  }
}
